org.jgroups.protocols

## Class AuthHeader

- java.lang.Object
- - org.jgroups.Header
  - - org.jgroups.protocols.AuthHeader

All Implemented Interfaces:
  Streamable

    public class AuthHeader
    extends Header

AuthHeader is a holder object for the token that is passed from the joiner to the coordinator

Author:
  Chris Mills

### Constructor Summary

Constructors
Constructor and Description
`AuthHeader()`

### Method Summary

Methods
`AuthToken` `getToken()` Used to get the token from the AuthHeader
`void` `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`void` `setToken(AuthToken token)` Sets the token value to that of the passed in token object
`int` `size()` To be implemented by subclasses.
`void` `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

### Methods inherited from class org.jgroups.Header

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AuthHeader

    public AuthHeader()

### Method Detail

#### setToken

    public void setToken(AuthToken token)

Sets the token value to that of the passed in token object

Parameters:
  `token` - the new authentication token

#### getToken

    public AuthToken getToken()

Used to get the token from the AuthHeader

Returns:
  the token found inside the AuthHeader

#### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

Description copied from interface: `Streamable`
Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

Throws:
  `java.io.IOException`

#### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

Description copied from interface: `Streamable`
Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

Throws:
  `java.io.IOException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`

#### size

    public int size()

Description copied from class: `Header`
To be implemented by subclasses. Return the size of this object for the serialized version of it. I.e. how many bytes this object takes when flattened into a buffer. This may be different for each instance, or can be the same. This may also just be an estimation. E.g. FRAG uses it on Message to determine whether or not to fragment the message. Fragmentation itself will be accurate, because the entire message will actually be serialized into a byte buffer, so we can determine the exact size.

Specified by:
  `size` in class `Header`